Unit_info.Artifact(3o)

NAME
Unit_info.Artifact - Build artifacts

Module
Module Unit_info.Artifact

Documentation

Module Artifact
 : sig end

  Build artifacts

type t

Metadata for a single compilation artifact:

-the module name associated to the artifact

-the filesystem path

-the input source file if it exists

val source_file : t -> Unit_info.filename option

source_file a is the source file of a if it exists.

val prefix : t -> Unit_info.file_prefix

prefix a is the filename prefix of the compilation artifact.

val filename : t -> Unit_info.filename

filename u is the filesystem path for a compilation artifact.

val modname : t -> Unit_info.modname

modname a is the module name of the compilation artifact.

val from_filename : Unit_info.filename -> t

from_filename filename reconstructs the module name lax_modname_from_source filename associated to the artifact filename .